Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: no development group in the installation process

  1. #11

    Default Re: no development group in the installation process

    I have been using Suse/OpenSuse since it was first released. In all that time I have tried just about every other linux distro and always returned to openSuse. The latest version is causing great problems in that you have changed the default release to remove the development patterns. I never saw a discussion about this and the only way I found out was to install version 15 (from 42.3) and discover there were no development tools! There was no warning, no text messages and no reason to expect it since the development tools have been there since the beginning.

    If I had fast and cheap internet access I would do all my software installations online. But I don't have access at the site where my desktop computers are located. I take a laptop, drive into town, download the iso, then return to my office and install. I need a complete image with everything in one download. I installed version 15 and then immediately rolled the system back to 42.3 and put the dvd in the trash can. Can you at least put an announcement up about the change in policy so people don't waste their time? I have spent the last month testing CentOS7 since they post small, medium and large images and the medium size one is similar to the old openSuse image. I don't like it and would rather use openSuse but without easy access to the development patterns in the iso I am stuck. You should also update the web site to accurately reflect the size of the iso (TumbleWeed on the web page says 4.7 Gb while the actual download is 4.1 Gb which told me to check the install packages before accepting the upgrade) so that users would have some indication of what is going on. Finally could you put up a complete image with all the old patterns. I don't care if it does not fit on a DVD. Tell people to use a USB stick - they are larger and reusable. The only reason to use a DVD at this point is to be able to print a label on the disk (small plastic USB sticks don't label very well).

    This message pertains to both TumbleWeed and Version 15 of openSuse.

  2. #12
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    25,000
    Blog Entries
    15

    Default Re: no development group in the installation process

    Quote Originally Posted by Gilbert_serena View Post
    I have been using Suse/OpenSuse since it was first released. In all that time I have tried just about every other linux distro and always returned to openSuse. The latest version is causing great problems in that you have changed the default release to remove the development patterns. I never saw a discussion about this and the only way I found out was to install version 15 (from 42.3) and discover there were no development tools! There was no warning, no text messages and no reason to expect it since the development tools have been there since the beginning.

    If I had fast and cheap internet access I would do all my software installations online. But I don't have access at the site where my desktop computers are located. I take a laptop, drive into town, download the iso, then return to my office and install. I need a complete image with everything in one download. I installed version 15 and then immediately rolled the system back to 42.3 and put the dvd in the trash can. Can you at least put an announcement up about the change in policy so people don't waste their time? I have spent the last month testing CentOS7 since they post small, medium and large images and the medium size one is similar to the old openSuse image. I don't like it and would rather use openSuse but without easy access to the development patterns in the iso I am stuck. You should also update the web site to accurately reflect the size of the iso (TumbleWeed on the web page says 4.7 Gb while the actual download is 4.1 Gb which told me to check the install packages before accepting the upgrade) so that users would have some indication of what is going on. Finally could you put up a complete image with all the old patterns. I don't care if it does not fit on a DVD. Tell people to use a USB stick - they are larger and reusable. The only reason to use a DVD at this point is to be able to print a label on the disk (small plastic USB sticks don't label very well).

    This message pertains to both TumbleWeed and Version 15 of openSuse.
    Hi and welcome to the Forum
    Well an added bonus is you can keep Leap 42.3 to this time next year for updates etc

    So, as Spock said, "The needs of the many outweigh the needs of a few...."

    So on the image you download, how many of those packages don't you use... this is an ideal situation to use Studio Express and you can work on 'your' image over the web, create build with 'your' stuff on and then go and download and install....

    https://studioexpress.opensuse.org/

    Or just rsync the oss/update repos onto a USB drive and use the net installer locally...
    Last edited by Fraser_Bell; 06-Dec-2018 at 16:45. Reason: Fix typo
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #13

    Default Re: no development group in the installation process

    Quote Originally Posted by malcolmlewis View Post
    Hi and welcome to the Forum
    Well an added bonus is you can keep Leap 42.3 to this time next year for updates etc

    So, as Spock said, "The needs of the many outweigh the needs of a few...."

    So on the image you download, how many of those packages don't you use... this is an ideal situation to use Studio Express and you can work on 'your' image over the web, create build with 'your' stuff on and then go and download and install....

    https://studioexpress.opensuse.org/

    Or just rsync the oss/update repos onto a USB drive and use the net installer locally...
    Thanks, this gives me some things to work on. I usually update when I get new hardware, if the OS is working there is no need to fix anything, which is why I am doing this now. I write computational chemistry software. Some of it involves graphics so I need Qt and OpenGL development and the kernel sources so I can use my NVidia cards. I also write MPI code so gcc and all the associated build tools. In the standard install I normally ignore all the server options. But last week I finally set up my own cluster which required NFS_Server. I don't know where it came from by Yast found and installed it from the DVD. Since I write MPI code I need more cores to test and so I have ordered a new 6 core i7 laptop and a 14 core i9 desktop. I expect the i9 desktop will run fine with 42.3, but most of the posts I have seen about using Linux on new laptops suggest using the latest kernel and drivers. Thus my interest in updating at this time.

    I would still like to understand why the change in distribution was made. Based on other threads I have read it seems to have been done recently but I have not come across a discussion as to why this was necessary. Also I know I am not the only person with bad/no internet because there is another thread discussing packages missing in openSuse 15. I would have to assume that unless there are lots of complaints this will be the policy going forward - so waiting until next year to update would only make the problem worse.

  4. #14
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    9,707
    Blog Entries
    1

    Default Re: no development group in the installation process

    The "Development" group and tools described in this thread don't exist.

    In both cases,
    What is needed in both cases are the "development headers" to enable modification of the related base library or code.
    Whenever this requirement appears, it is usually available by adding the string "-devel" to the end of the package name, eg
    If needed for the default kernel, then the following package should be found and added
    Code:
    zypper install kernel-default-devel
    So what are the development headers?
    It's only what is necessary to modify and likely re-compile on the fly the related code...
    Compare this to the code's source package which should not be used simply for modifying (src is usually used to make major changes, not just modifications).

    An additional hint for future postings...
    I'd guess that the question was misunderstood because these users did not post the detailed error message.
    Whenever detailed error messages can be posted either by text or with a camera picture then people can zero in on the problem and post the most precise help.

    TSU
    Last edited by Fraser_Bell; 07-Dec-2018 at 17:14. Reason: Fix grammar
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  5. #15

    Default Re: no development group in the installation process

    Quote Originally Posted by tsu2 View Post
    The "Development" group and tools described in this thread don't exist.

    In both cases,
    What is needed in both cases are the "development headers" to enable modification of the related base library or code.
    Whenever this requirement appears, it is usually available by adding the string "-devel" to the end of the package name, eg
    If needed for the default kernel, then the following package should be found and added
    Code:
    zypper install kernel-default-devel
    So what are the development headers?
    It's only what is necessary to modify and likely re-compile on the fly the related code...
    Compare this to the code's source package which should not be used simply for modifying (src is usually used to make major changes, not just modifications).

    An additional hint for future postings...
    I'd guess that the question was misunderstood because these users did not post the detailed error message.
    Whenever detailed error messages can be posted either by text or with a camera picture then people can zero in on the problem and post the most precise help.

    TSU
    This thread is about customizing the software installed during an off-line installation/upgrade from one version of openSuse to the next version. I have spent some time testing after I found that upgrading from 42.3 to 15 erased most of the development patterns (headers , libraries and so on). I rolled my system back to 42.3 and then did an installation of 15 which wiped out all my user files and /usr/local. During the installation you get to the page to customize what software is installed beyond the base system. I find there is still a section labeled Development but it is much smaller than in previous openSuse releases and basically just give me a base C/C++ system. When done I have gcc version 8.2.0, which is good, but nothing much else. I can recompile mpich and my compute codes, but I can not recompile Emacs or any of my Qt based graphics programs.

    I spent several hours yesterday trying to use Studio Express. I did a google search before starting and found a tutorial which looked really good. But it turns out that tutorial was for an earlier version and was not applicable to the new version. I could find no documentation or tutorials on the new version and the user interface is opaque (to be kind). I could pick a template for Tumbleweed for docker or Kiwi, but after that nothing makes sense and there is no help on what to do. I could branch off from that template but I was told the template belonged to someone else and that I would need to post a note to the template owner about what I was doing. My immediate reaction was to stop since I was not going to change anyone else's work. Without documentation or a tutorial Studio Express is not ready to be used. I am only trying to do something simple - take a standard distribution and add back the development patters. It should not be that hard and apparently it was not in the old version of Suse Studio. I later discovered a long rant in Reddit about this topic.

    So I am still shut out of moving forward with openSuse. I would still request that someone post an old style iso with all the old options along with the new style. Label them standard and really large iso for those who have no internet access during install. It is all being stored on the mirrors and it would serve the needs of those few who really don't have good internet access and those who just like to have everything. Yast is a wonderful tool and I would really hate to give it up but if I can not write code then I have no choice.

  6. #16
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    9,707
    Blog Entries
    1

    Default Re: no development group in the installation process

    Documentation for various is usually available but as you say sometimes what you find may be out of date.
    If you can't find what you're looking for, just ask...

    Personally, I prefer Kiwi over any online tools... something about having all the resources I need on the machine in front of me gives me a better sense of security and control over what is happening.

    Kiwi Documentation
    Looks like Kiwi documentation has undergone a face-lift in the past few months. To my eye, essentials are all still in it, and perhaps easier to understand (It used to be one big document). AFAIK should not matter whether you're working on an openSUSE or SUSE machine or working with an image for whatever you choose... I haven't yet run into anything Kiwi that's different (but haven't closely inspected the new documentation yet). Depending on what your target is, you may have to install a package containing that image.

    https://opensource.suse.com/kiwi/

    And, You might find Development related questions better posted in one of the Development fourms

    https://forums.opensuse.org/forumdis...97-Development

    As for Qt development...
    I don't do that but it's my impression that you should start by installing a Qt IDE like QtCreator.
    Doing so should pull in everything you need as dependencies.
    After that you can use the IDE or I assume for those who are hard-nosed CLI coders should work that way as well.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •